[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-Id: <20220907064645.1197894-4-namhyung@kernel.org>
Date: Tue, 6 Sep 2022 23:46:42 -0700
From: Namhyung Kim <namhyung@...nel.org>
To: Arnaldo Carvalho de Melo <acme@...nel.org>,
Jiri Olsa <jolsa@...nel.org>
Cc: Ingo Molnar <mingo@...nel.org>,
Peter Zijlstra <peterz@...radead.org>,
LKML <linux-kernel@...r.kernel.org>,
Ian Rogers <irogers@...gle.com>,
linux-perf-users@...r.kernel.org,
Adrian Hunter <adrian.hunter@...el.com>
Subject: [PATCH 3/6] perf test: Test record with --threads option
To verify per-thread mode is working with multi-thread recording.
Use two software events for testing to check event set-output handling.
Also update the cleanup routine because threads recording produces data
in a directory.
Signed-off-by: Namhyung Kim <namhyung@...nel.org>
---
tools/perf/tests/shell/record.sh | 17 +++++++++++++++--
1 file changed, 15 insertions(+), 2 deletions(-)
diff --git a/tools/perf/tests/shell/record.sh b/tools/perf/tests/shell/record.sh
index cea3c7b7e2cd..3331fb092654 100755
--- a/tools/perf/tests/shell/record.sh
+++ b/tools/perf/tests/shell/record.sh
@@ -11,8 +11,8 @@ testsym="test_loop"
testopt="-D 3"
cleanup() {
- rm -f ${perfdata}
- rm -f ${perfdata}.old
+ rm -rf ${perfdata}
+ rm -rf ${perfdata}.old
if [ "${testprog}" != "true" ]; then
rm -f ${testprog}
@@ -90,6 +90,19 @@ test_per_thread() {
err=1
return
fi
+ if ! perf record -e cpu-clock,cs --per-thread --threads=core ${testopt} \
+ -o ${perfdata} ${testprog} 2> /dev/null
+ then
+ echo "Per-thread record with --threads [Failed]"
+ err=1
+ return
+ fi
+ if ! perf report -i ${perfdata} -q | egrep -q ${testsym}
+ then
+ echo "Per-thread record with --threads [Failed missing output]"
+ err=1
+ return
+ fi
echo "Basic --per-thread mode test [Success]"
}
--
2.37.2.789.g6183377224-goog
Powered by blists - more mailing lists